/**
 * Copyright 2014 (c) Baidu, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
#ifndef BAIDU_BOS_CPPSDK_TAG_REQUEST_LIST_TAG_REQUEST_H
#define BAIDU_BOS_CPPSDK_TAG_REQUEST_LIST_TAG_REQUEST_H
#include <string>
#include "bcesdk/model/bce_request.h"

BEGIN_CPPSDK_NAMESPACE

class ListTagRequest : public BceRequest {
public:
    ListTagRequest(const int64_t timestamp, 
                       const int page_size, 
                       const int page_num) : 
        _timestamp(timestamp), _page_size(page_size), _page_num(page_num), _service("BOS"){
    }

    virtual ~ListTagRequest() {}

    virtual int build_command_specific(HttpRequest *request) {
        request->set_method(HTTP_METHOD_GET);
        request->add_parameter("serviceQuery");
        request->add_parameter("serviceType", _service);
        request->add_parameter("pageNo", _page_num);
        request->add_parameter("pageSize", _page_size);
        request->add_parameter("timestamp", _timestamp);
        return 0;
    }
    virtual std::string get_uri() const {
        return "/api/logical/tag/v1";
    }
private:
    int _page_size;
    int _page_num;
    int64_t _timestamp;
    std::string _service;
};

END_CPPSDK_NAMESPACE
#endif

